# Contributing

See [README.md](README.md) for information on applying for a mentorship.

## Volunteering to Mentor

If you are interested in mentoring on an open source project that you maintain or contribute to, [open an issue](https://github.com/github/mentorships/issues/new) and fill out the template with details for the project.

For example:

> Title: Improve Atom's parser performance
>
> Summary: Make the Atom parser faster and better at handling large files and long lines.
> This includes identifying bottlenecks, developing benchmarks, and possibly
> re-writing parts of the existing code base in C++ if needed.
>
> Expected Outcome: Improved speed opening files and the 2MB file limit can be increased or > removed.
>
> Skills: CoffeeScript, JavaScript, C, C++
>
> Relevant issues: [atom/atom#979](https://github.com/atom/atom/issues/979) and
> [atom/atom#1667](https://github.com/atom/atom/issues/1667)
>
> Mentors: [@kevinsawicki](https://github.com/kevinsawicki)

Mentoring is incredibly rewarding, and providing a positive experience for both you and the student is a big commitment that is not to be taken lightly. Please talk to your team before volunteering.

Mentoring Resources:

- [Outreachy's info for Mentors](https://wiki.gnome.org/Outreachy/Admin/InfoForMentors)
- [Google Summer of Code Mentor's Guide](http://en.flossmanuals.net/GSoCMentoring/what-is-gsoc/)
- [Rails Girls Summer of Code – Becoming a Project Mentor](http://railsgirlssummerofcode.org/guide/projects/)

## Managing Issues

Issues in this repository are used to take questions from potential contributors, manage the programs we participate in, and the projects available for mentorship.

Labels:

- [question]
- [project]
- [program]

[project]: https://github.com/github/mentorships/labels/project
[program]: https://github.com/github/mentorships/labels/program
[question]: https://github.com/github/mentorships/labels/question
