# Open Source Mentorships (deprecated)

If you are looking for an opportunity to work on an open source project here are some other programs that can give you opportunities to work with experienced mentors on great projects.

### [Free Software Foundation Internship](http://www.fsf.org/volunteer/internships)

> As an intern, you work closely with FSF staff members in your area of interest, such as campaign and community organizing, free software licensing, systems and network administration, GNU project support, or web development.

- **Audience:** All applicants must be: open-minded and tolerant of others, able to work as part of a team, and interested in the ethical ramifications of computing.
- **Stipend:** No

### [Google Code-in](https://developers.google.com/open-source/gci/)

> Pre-university students ages 13 to 17 are invited to take part in Google Code-in, our global, online contest introducing teenagers to the world of open source. With a wide variety of bite-sized tasks, it’s easy for beginners to jump in and get started no matter what skills they have. Mentors from our participating organizations lend a helping hand as participants learn what it’s like to work on an open source project.

- **Audience:** Pre-university students ages 13 to 17 are invited to take part
- **Stipend:** prizes for winners

### [Google Summer of Code](https://developers.google.com/open-source/gsoc/)

> Spend your summer break writing code and learning about open source development while earning money! Accepted students work with a mentor and become a part of the open source community. Many become lifetime open source developers! Students spent their summer coding from May 23 - August 23, 2016.

- **Audience:** Google Summer of Code is open to post-secondary students, age 18 and older in most countries.
- **Stipend:** [based on location of the student](https://developers.google.com/open-source/gsoc/help/student-stipends)

### [Mozilla Winter of Security](https://wiki.mozilla.org/Security/Automation/Winter_Of_Security_2016)

> The Winter of Security (MWOS) is a program organized by [Mozilla's Security teams](https://wiki.mozilla.org/Security) to involve students with Security projects. 

- **Audience:** Students who have to perform a semester project as part of their university curriculum
- **Stipend:** No

### [Outreachy](https://www.gnome.org/outreachy/)

> Outreachy helps people from groups underrepresented in free and open source software get involved. We provide a supportive community for beginning to contribute any time throughout the year and offer focused internship opportunities twice a year with a number of free software organizations.

- **Audience:** Currently, internships are open internationally to women (cis and trans), trans men, and genderqueer people. Additionally, they are open to residents and nationals of the United States of any gender who are Black/African American, Hispanic/Latin@, American Indian, Alaska Native, Native Hawaiian, or Pacific Islander. They are planning to expand the program to more participants from underrepresented backgrounds in the future.
- **Stipend:** $5500

### [Rails Girls Summer of Code](http://railsgirlssummerofcode.org/)

> With our fellowship program we aim to foster diversity in Open Source since 2013. Selected teams receive a three-month scholarship to work on Open Source projects of their choice.

- **Audience:** All people with non-binary gender identities or who identify as women are welcome to apply
- **Stipend:** The scholarship will be based on where you live, how much your set expenses are, and any special circumstances.

### [Season of KDE 2015](https://season.kde.org/)

> Season of KDE is a community outreach program, much like Google Summer of Code that has been hosted by the KDE community for seven years.

- **Audience:** Everyone can apply for Season of KDE. They give preference to those who have applied for Google Summer of Code and to students, but will gladly consider applications from anybody interested in contributing to KDE.
- **Stipend:** No

### [Tor Summer of Privacy](https://trac.torproject.org/projects/tor/wiki/org/TorSoP)

> The Tor Project, in collaboration with [​The Electronic Frontier Foundation](https://www.eff.org/), has taken part in Google Summer of Code for 2007 through 2014, mentoring a total of 53 students. This year [​the program was trimmed back](https://lists.torproject.org/pipermail/tor-dev/2015-March/008358.html) and room was needed for new organizations.
>
> So we decided to launch our first **Tor Summer of Privacy!** This is a pilot program we hope will grow and guarantee support for students who want to collaborate with privacy tools.

- **Audience:** Anyone that qualifies for Google Summer of Code. They invite and welcome many kinds of students from many kinds of backgrounds to apply.
- **Stipend:** $5500

### [The X.Org Endless Vacation of Code](https://www.x.org/wiki/XorgEVoC/)

> The basic terms and conditions of this program are quite similar to Google's GSoC. The key differences are that:
>
> 1. an EVoC mentorship can be initiated at any time during the calendar year,
> 2. the Board can fund as many of these mentorships as it sees fit.

- **Audience:** Everyone. They will also consider a broader range of proposals than GSoC: technical documentation is a specific area of interest for them.
- **Stipend:** $5000 for students over 18

Know of other programs? [Add them here](https://github.com/github/mentorships/edit/master/README.md). Check out @tapasweni-pathak's [list of open source internship programs](https://github.com/tapasweni-pathak/SOC-Programs/blob/master/README.md) for more.
